# MemberChangedEvent class

Triggered when an entity changes their presence in the MUC.

Inheritance
  - Object
  - XmppEvent
  - MemberChangedEvent

## Constructors

MemberChangedEvent (JID roomJid, RoomMember member)

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
member → RoomMember
  The new member.
  final
roomJid → JID
  The JID of the room.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited